#ifndef _PLUGINS_H
#define _PLUGINS_H

#include <glib.h>
#include <g3dviewer_plugin.h>

typedef gchar *(*PluginDescriptionFunc)(void);
typedef gchar **(*PluginExtensionsFunc)(void);
typedef int (*PluginLoadModelFunc)(const char *filename, G3DModel *model);
typedef int (*PluginLoadImageFunc)(const char *filename, G3DImage *image);

int plugins_init(void);

#endif
